Package python-astroML

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-astroML in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-astroML-0.3-19.fc28
    • × python(abi) = 2.7
  • python3-astroML-0.3-19.fc28
    • python(abi) = 3.6

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Dependencies

Run time

2 Python 3 only; 3 Dual support; 1 Idle; 2 Dropped
Package Upstream Fedora
  python-matplotlib (nonblocking)   I
  numpy  
  python-scikit-learn  
  scipy  
  python-astropy  
  python3   bug (NEW)
  python2   X
  python2-astropy   X

Build time

2 Python 3 only; 5 Dual support; 1 Idle; 2 Dropped
Package Upstream Fedora
  python-matplotlib (nonblocking)   I
  numpy  
  python-nose  
  python-scikit-learn  
  python-setuptools  
  scipy  
  python-astropy  
  python3   bug (NEW)
  python2   X
  python2-astropy   X